Bug 1524622 - associate VM - MAC compare is case senstive
Summary: associate VM - MAC compare is case senstive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Dominik Hlavac Duran
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
: 1706998 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 18:15 UTC by Paul Dudley
Modified: 2019-10-22 19:47 UTC (History)
8 users (show)

Fixed In Version: foreman-1.22.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:47:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16520 None None None 2017-12-11 18:16:03 UTC
Red Hat Knowledge Base (Solution) 4109661 None None None 2019-05-09 08:49:39 UTC

Description Paul Dudley 2017-12-11 18:15:33 UTC
Description of problem:
When trying to associate a vmware VM the following is hit:

Error: No host found to associate this VM with

Version-Release number of selected component (if applicable):
6.2.12-6

Additional info:
Resolution:
In vi /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb change:

From this:
454-    def associated_host(vm)
455:      associate_by("mac", vm.mac)
456-    end

To this:
454-    def associated_host(vm)
455:      associate_by('mac', vm.interfaces.map(&:mac).map { |mac| Net::Validations.normalize_mac(mac) })
456-    end

It looks like this line would need to be changed for all other compute resource options as well.

Comment 2 Paul Dudley 2017-12-12 20:04:26 UTC
So far this change works just fine for vmware and libvirt compute resources, from tests done internally and by the customer.

Comment 3 Ondřej Pražák 2018-01-24 12:44:02 UTC
Connecting redmine issue http://projects.theforeman.org/issues/16520 from this bug

Comment 4 Bryan Kearney 2019-02-27 11:05:43 UTC
Upstream bug assigned to dhlavacd@redhat.com

Comment 5 Bryan Kearney 2019-03-31 14:05:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/16520 has been resolved.

Comment 6 Diksha Chaudhari 2019-05-09 08:46:49 UTC
*** Bug 1706998 has been marked as a duplicate of this bug. ***

Comment 9 Bryan Kearney 2019-10-22 19:47:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.